---
title: DOMPointInit.x
slug: Web/API/DOMPointInit/x
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointInit
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Reference
  - x
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("DOMPointInit")}}</strong> dictionary's <code><strong>x</strong></code> property is used to specify the x component of a point in 2D or 3D space when either creating or serializing a {{domxref("DOMPoint")}} or {{domxref("DOMPointReadOnly")}}.</span></p>

<p>In general, positive values <code>x</code> mean to the right, and negative values of <code>x</code> means to the left, assuming that transforms have not altered the orientation of the axes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>DOMPointInit</em> = {
  x: <em>xPos</em>
};

<em>DOMPointInit</em>.x = <em>xPos</em>;

var <em>xPos</em> = <em>DOMPointInit</em>.x;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the point's x coordinate. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<p>If this property is missing when the <code>DOMPointInit</code> object is passed into <code>fromPoint()</code>, the value is assumed to be 0 by default.</p>

<p><code>DOMPointInit</code> is used as an input when calling either {{domxref("DOMPointReadOnly.fromPoint()")}} or {{domxref("DOMPoint.fromPoint()")}}, and is returned by the {{domxref("DOMPointReadOnly.toJSON()")}} and {{domxref("DOMPoint.toJSON()")}} methods.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointinit-x', 'x')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointInit.x")}}</p>
